<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout}"
>
<head>
    <meta charset="UTF-8"/>
    <title>Bank Soal</title>
</head>
<body>
<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar_setting::sidebar_setting" th:remove="tag">
        sidebar
    </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Bank Soal
                </div>
            </div>
        </div>

        <div class="container mt-5">
            <div class="container mt-5">
                <h4 class="mb-4">
                    Add Question
                </h4>
                <div class="card">
                    <form th:action="@{/bank-soal/form}" th:object="${soal}" method="post">
                        <div class="card-body">
                            <div class="row pb-3">
                                <label class="form-label">Type</label>
                                <select name="jenis" class="form-control">
                                    <option value="STRUCTURE">Structure</option>
                                    <option value="READING">Reading</option>
                                </select>
                            </div>
                            <div class="row pb-3">
                                <label class="form-label">Description</label>
                                <textarea id="description" th:if="${descriptionId != null}" th:text="${descriptionId.deskripsi}" class="form-control myTiny" name="deskripsi">
                            </textarea>

                                <textarea th:if="${descriptionId == null}" class="form-control myTiny" name="deskripsi">
                            </textarea>
                            </div>

                            <div>
                                <label class="form-label">Number</label>
                                <input type="number" class="form-control" name="nomor">
                            </div>

                            <div>
                                <label class="form-label">Question</label>
                                <textarea id="question" class="form-control myTiny" name="pertanyaan">
                            </textarea>
                            </div>
                            <div class="mt-3">
                                <div class="row">
                                    <label class="form-label">Option A</label>
                                    <div class="row align-items-center">
                                        <div class="col-9">
                                    <textarea id="optianA" name="pilihanA" class="form-control myTiny">
                                    </textarea>
                                        </div>
                                        <div class="col-3">
                                            <div class="form-check">
                                                <input class="form-check-input" type="radio" name="jawaban"
                                                       id="jawaban1" value="A">
                                                <label class="form-check-label" for="jawaban1">
                                                    Correct Answer
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="mt-3">
                                <label class="form-label">Option B</label>
                                <div class="row align-items-center">
                                    <div class="col-9">
                                        <input type="text" class="form-control myTiny" name="pilihanB">
                                    </div>
                                    <div class="col-3">
                                        <div class="form-check">
                                            <input class="form-check-input" type="radio" name="jawaban"
                                                   id="jawaban2" value="B">
                                            <label class="form-check-label" for="jawaban2">
                                                Correct Answer
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="mt-3">
                                <input th:if="${descriptionId != null}" type="hidden" name="deskripsiId" th:value="${descriptionId.id}">
                                <label class="form-label">Option C</label>
                                <div class="row align-items-center">
                                    <div class="col-9">
                                        <input type="text" class="myTiny form-control" name="pilihanC">
                                    </div>
                                    <div class="col-3">
                                        <div class="form-check">
                                            <input class="form-check-input" type="radio" name="jawaban"
                                                   id="jawaban3" value="C">
                                            <label class="form-check-label" for="jawaban3">
                                                Correct Answer
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="mt-3">
                                <label class="form-label">Option D</label>
                                <div class="row align-items-center">
                                    <div class="col-9">
                                        <input type="text" class="myTiny form-control" name="pilihanD">
                                    </div>
                                    <div class="col-3">
                                        <div class="form-check">
                                            <input class="form-check-input" type="radio" name="jawaban"
                                                   id="jawaban4" value="D">
                                            <label class="form-check-label" for="jawaban4">
                                                Correct Answer
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <input type="hidden" name="id">
                                <div class="mt-4">
                                    <button type="submit" class="btn btn-primary">
                                        Submit
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </main>
</main>
</body>
</html>
<script src="https://cdn.tiny.cloud/1/qk3tz8w8mytgvy0klzrguddz16pi51qyei0bqezj6axfkmjj/tinymce/6/tinymce.min.js"
        referrerpolicy="origin"></script>
<script>
    tinymce.init({
        selector: '.myTiny',
        statusbar: false,
    });
</script>